org.apache.tinkerpop.gremlin.structure.io.gryo

## Class GryoSerializersV1d0.BindingSerializer

- java.lang.Object
- - org.apache.tinkerpop.gremlin.structure.io.gryo.GryoSerializersV1d0.BindingSerializer

- All Implemented Interfaces:
    SerializerShim<Bytecode.Binding>
  Enclosing class:
    GryoSerializersV1d0

      public static final class GryoSerializersV1d0.BindingSerializer
      extends Object
      implements SerializerShim<Bytecode.Binding>

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BindingSerializer()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `<I extends InputShim> Bytecode.Binding` | `read(KryoShim<I,?> kryo, I input, Class<Bytecode.Binding> clazz)`
    `<O extends OutputShim> void` | `write(KryoShim<?,O> kryo, O output, Bytecode.Binding binding)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.tinkerpop.gremlin.structure.io.gryo.kryoshim.SerializerShim

      `isImmutable`

- - ### Constructor Detail

    - #### BindingSerializer

          public BindingSerializer()

  - ### Method Detail

    - #### write

          public <O extends OutputShim> void write(KryoShim<?,O> kryo,
                                                   O output,
                                                   Bytecode.Binding binding)

      Specified by:
        `write` in interface `SerializerShim<Bytecode.Binding>`

    - #### read

          public <I extends InputShim> Bytecode.Binding read(KryoShim<I,?> kryo,
                                                             I input,
                                                             Class<Bytecode.Binding> clazz)

      Specified by:
        `read` in interface `SerializerShim<Bytecode.Binding>`

Copyright © 2013–2019 Apache Software Foundation. All rights reserved.